from datetime import datetime, timedelta

from discord.ext.tasks import loop

import jarvis
from jarvis.db.models import Warning


@loop(hours=1)
async def unwarn():
    warns = Warning.objects(active=True)
    for warn in warns:
        if (
            warn.created_at + timedelta(hours=warn.duration)
            < datetime.utcnow()
        ):
            warn.active = False
            warn.save()
